UML_MOUNT(1)

NAME
uml_mount — allows to mount UMLFS file system using the fuse libraries

SYNOPSIS

uml_mount [mount-point] [options]

DESCRIPTION

This manual page documents briefly the uml_mount command.

This command uses the FUSE (File system in USErspace) libraries and invokes the FUSE_MOUNT function which expects a mount point and some parameters as arguments.

This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page. For a practical example, please refer to the link below.

uml_mount is used to mount UMLFS file system.

ARGUMENTS

mount-point
    This is the mount point where to mount the UMLFS file system with.

[options]
    These are the other options accepted by the 'fuse_mount' function.

General options:

-h  The "-h" option prints the help.

-V  The "-V" option prints the version.

-o opt,[opt...]
    The "-o" option allows to provide further mount (only, not un-mount) option(s) to the command line.

FUSE options:

-d   -o debug
    The "-d" option enable the debug output. It implies "-f".

-f  The "-f" option foregrounds the operation.

-s  The "-s" options disable multi-threaded operation.

-o allow_other
    The "-o allow_other" option allows access to other users.

-o allow_root
    The "-o allow_root" option allows access to root.

-o nonempty
    The "-o nonempty" option allows mounts over non-empty file/dir.

-o default_permissions
    The "-o default_permissions" enables permission checking by kernel.

-o fsname=NAME
    The "-o fsname=NAME" option sets file system name.

-o large_read
    The "-o large_read" option issues large read requests (2.4 only).

-o max_read=N
    The "-o max_read=N" option sets the maximum size of read requests.

SEE ALSO

The HostFs (link to URL http://user-mode-linux.sourceforge.net/new/hostfs.html) usage explanation within the User-Mode-Linux Web Site

AUTHOR

uml_mount was written by Jeff Dike.

This manual page was written by Stefano Melchior (stefano.melchior@openlabs.it) for the Debian GNU/Linux system, based on material in the Official User Mode Linux Web Site.